Works w/ FF 11! Rated 5 out of 5 stars

To make this work with Firefox 11, right-click on the "Add to Firefox" button, choose "Save link as..." and save it to your desktop. Open the xpi and locate the file named, "install.rdf" Open that file in your preferred text editor and locate the followng line:

em:minVersion="1.5"
em:maxVersion="4.0.*" />

Simply change "4.0.*" to much higher number as it represents the version of Firefox that it will be compatible with. I chose 21.* but you can choose whatever you like! Enjoy!